Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Get simple 3.3.16 support for php 8.0
#1
Hi,
After many days waiting and suggestion df8oe from another topic, i decided upload my files when i correct error save pages and file uploader. Now pure gs 3.3.16 is work on php 8.0. Place zip on root folder and unpack this with rewrite files. Done.

http://gsphp8.multicolor.ovh/gsphp8.zip


GS IS STILL ALIVE!
Reply
#2
(2021-11-23, 01:55:20)multicolor Wrote: GS IS STILL ALIVE!

Yeah, just like Elvis
Reply
#3
Hi to all

Many people follow the trend of "having the latest version .... "
Please keep in Mind that it is not necessary to have the Get-Simple system work on PHP8

1) PHP8 does not make the get-simple cms faster - compared to other php8 systems
2) PHP8 does not make the get-simple cms safer

The Get-Simple cms is already blazing fast - compared to other php8 systems
Websites don't get hacked just because of php5.x or php7.x

------------------------------------------------------------------------------

Quote:Yeah, just like Elvis

Sorry to read that some people look down on the get-simple cms
F.
Reply
#4
(2021-11-23, 05:43:17)Felix Wrote: Hi to all

Many people follow the trend of "having the latest version .... "
Please keep in Mind that it is not necessary to have the Get-Simple system work on PHP8

1) PHP8 does not make the get-simple cms faster -  compared to other php8 systems
2) PHP8 does not make the get-simple cms safer

The Get-Simple cms is already blazing fast -  compared to other php8 systems
Websites don't get hacked just because of php5.x or php7.x

------------------------------------------------------------------------------

Quote:Yeah, just like Elvis

Sorry to read that some people look down on the get-simple cms
F.


I do it fixes for php 8.0 because some hosting does't support old php version, but i love this cms and i don't wanna leave support this. I hope you understand
Reply
#5
Quote:but i love this cms and i don't wanna leave support this ...
Hi multicolor,
Thank you for all your support. Yes I totally agree to keep this cms supported.
Maybe we can do something together to support this cms.
Reply
#6
Yes they do, php <7.3 have massive well known security flaws
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#7
I can take a look at any issues on github related to this, please create them.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#8
(2021-11-23, 10:21:17)shawn_a Wrote: I can take a look at any issues on github related to this, please create them.

github version is different than version download 3.3.16 from website. I based on them
Reply
#9
Thats not how github works, it has all versions
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
Reply
#10
upload.php:
178 $dirSorted = subval_sort($dirsArray,'name'); 
a 's' disappeared
$dirSorted ... $dirsSorted

basic.php:
Why did you commented out the content of
safe_slash_html($text) { ... ?
Edit: Found https://github.com/GetSimpleCMS/GetSimpl...ssues/1342
Reply




Users browsing this thread: 1 Guest(s)